var Cou3030;
Arr3030 = new Array();
Arr3030[0] = new Array("  买房团",1,0,0,0);
Arr3030[1] = new Array("  建材团",2,0,0,0);
Arr3030[2] = new Array("  家居团",3,0,0,0);
Arr3030[3] = new Array("  买车团",4,0,0,0);
Arr3030[4] = new Array("  婚庆团",5,0,0,0);
Cou3030=4;
document.write("<SELECT size=5 style='width:80%' name=ClassID onChange=\"Change3030(document.myform.ClassID.options[document.myform.ClassID.selectedIndex].value,0);document.getElementById('ClassID1').innerHTML = '';DBOption('ClassID',this.value)\">")
document.write("</SELECT>")
function Change3030(id3030,nid3030){
 var i,ctd3030,cn3030,cttd3030,cctd3030,cpath3030,cpathID3030,n,cdepch3030;
 if(id3030==0){
   cn3030 = ""; 
   ctd3030 = 0; 
   cttd3030 = 0; 
   cctd3030 = 1;
   cdepch3030 = 0;
 }else{
   for (i=0;i <= Cou3030; i++){
     if(Arr3030[i][1] == id3030){
       cn3030 = Arr3030[i][0]; 
       ctd3030 = Arr3030[i][1]; 
	   cttd3030 = Arr3030[i][2]; 
	   cctd3030 = Arr3030[i][3];
	   cdepch3030 = Arr3030[i][4];
     }
   }
 }
 var cpathID3030 = cttd3030;
 var selected3030 = 0;
 var ii = 0;
 if(cctd3030!=0){
   document.myform.ClassID.length = 0;
   if(id3030!=0)document.myform.ClassID.options[document.myform.ClassID.length] = new Option("------- 返回上一层 -------", cttd3030);
   for (i=0;i <= Cou3030; i++){
     if (Arr3030[i][2] == id3030){
       ii = ii + 1;
       if(nid3030>0){if(Arr3030[i][1]==nid3030){selected3030=ii;}}
       document.myform.ClassID.options[document.myform.ClassID.length] = new Option(Arr3030[i][0], Arr3030[i][1]);
     }
   }
 }
 if(id3030!=0){
   if(selected3030!=0){myform.ClassID[selected3030].selected=true}
 }else{
   if(selected3030!=0){myform.ClassID[selected3030-1].selected=true}
 }
}
Change3030(0,0)
function ChangeClassID(id,nid){
Change3030(id,nid)
}
